Transaction Details (Broker)
This API provides purchase details from the Broker service. It allows you to retrieve detailed information about a purchase using the UID of the order. It is useful for obtaining the price of the purchase and other relevant information. This API does not require authentication.
Endpoint
| Method | URL |
|---|---|
| GET | https://api.catappult.io/broker/8.20250505/transactions/{uid} |
Authentication
No authentication required.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
uid | string | Required | UID of the order. Defined as UID in Aptoide Connect channels. |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
hash | string | Optional | Hash of the transaction. Defined as TxID in the Aptoide Connect and Wallet App. |
domain | string | Optional | Package name of the application. |
Response
| Status | Description |
|---|---|
200 | Success. Returns the transaction details. |
Success (200) Response Fields
| Name | Type | Description |
|---|---|---|
uid | String | UID of the order. Defined as UID in Aptoide Connect channels. |
domain | String | Package name of the application that originated this purchase. |
product | String | SKU of the product purchased. |
wallet_from | String | Wallet address used in the purchase. |
type | String | Type of the product purchased. |
method | String | Method used in the purchase. Example: credit_card |
country | String | Country code following ISO-3166-1-A2 guidelines. Example: US |
reference | String | The transaction reference. |
hash | String | Hash of the transaction. Defined as TxID in the Aptoide Connect and Wallet App. |
status | String | Status of the transaction. |
added | String | Timestamp of the addition date. Example: 2025-01-14T11:06:31.231117Z |
modified | String | Timestamp of the modification date. Example: 2025-01-14T11:06:31.231117Z |
gateway | Object | Object with information of the gateway used. |
gateway.name | String | Gateway name. Example: adyen_v2 |
metadata | Object | Object with information about the purchase metadata. |
metadata.purchase_uid | String | Purchase ID defined as token in the Purchase class. |
metadata.developer_payload | String | String-based payload specified by the developer when initiating this purchase. |
price | Object | Object with information of the price of the purchase. |
price.currency | String | The currency used in the payment, as an ISO 4217 alphabetic code. Example: USD |
price.value | String | The price value of the payment. Example: 1.12 |
price.appc | String | The price value in APPC currency. Example: 1120000 |
price.usd | String | The price value in USD currency. Example: 1.10 |
price.vat | Object | Object with information about the VAT. |
price.vat.percentage | String | Percentage of the VAT. Example: 20.5 |
price.vat.value | String | Value of the VAT. Example: 4.45 |
price.vat.usd | String | Value of the VAT in USD. Example: 1.12 |
price.discount | Object | Object with information about the discount applied in the purchase. |
price.discount.percentage | String | Percentage of the discount. Example: 20.5 |
price.discount.value | String | Value of the discount. Example: 4.45 |
price.discount.usd | String | Value of the discount in USD. Example: 1.12 |
channel | String | Channel used for the purchase. |
platform | String | Platform used for the purchase. |
market | String | Market from which the purchase was made. |
Example Response
{
"uid": "SEVD6MDBKR5XBZZU",
"domain": "com.appcoins.diceroll.sdk",
"product": "attempts",
"wallet_from": "0x6e581078d392f98a53a8e9b0a10a35169c431a1e",
"type": "INAPP",
"method": "googlepay",
"country": "PT",
"reference": "",
"hash": "0x85ad942ef12e6dea2e9a2eab9cddd0af64eba414309e448806d2f732132bca52",
"status": "COMPLETED",
"added": "2025-05-02T22:11:56+00:00",
"modified": "2025-05-02T22:12:20+00:00",
"gateway": {
"name": "adyen_v2"
},
"metadata": {
"purchase_uid": "catappult.inapp.purchase.AXVCN5PZPXNYKQ7J",
"developer_payload": "dee8217d-8f5b-427c-872c-fa5bb32c2444"
},
"price": {
"currency": "EUR",
"value": "0.1",
"appc": "11.3",
"usd": "0.11",
"vat": {
"percentage": "23",
"value": "0.02",
"usd": "0.02"
},
"discount": {
"percentage": "23",
"value": "0.02",
"usd": "0.02"
}
},
"channel": "WEB",
"platform": "ANDROID",
"market": "NATIVE"
}
type
| Value | Description |
|---|---|
| INAPP | Product of type inapp was purchased via Android Billing SDK. |
| INAPP_SUBSCRIPTION | Product of type subscription was purchased via Android Billing SDK. |
| INAPP_UNMANAGED | Product of type inapp was purchased via OSP. |
status
| Value | Description |
|---|---|
| PENDING_SERVICE_AUTHORIZATION | Transaction waiting for service authorization. |
| PENDING_USER_PAYMENT | Transaction waiting for user payment. |
| PROCESSING | Transaction being processed. |
| SETTLED | Transaction settled. |
| COMPLETED | Transaction completed. |
| CANCELED | Transaction canceled. |
| DUPLICATED | Transaction duplicated. |
| FAILED | Transaction failed. |
| CHARGEBACK | Transaction chargeback. |
| REFUNDED | Transaction refunded. |
channel
| Value | Description |
|---|---|
| ANDROID | Android channel type used. |
| IOS | iOS channel type used. |
platform
| Value | Description |
|---|---|
| ANDROID | Android platform type used. |
| IOS | iOS platform type used. |
market
| Value | Description |
|---|---|
| NATIVE | Native market was used. Android or iOS. |
| WEB | Web market was used. |